SIS900_INTERRUPT(9)

NAME
sis900_interrupt - sis900 interrupt handler

SYNOPSIS

irqreturn_t sis900_interrupt (int irq, void * dev_instance, struct pt_regs * regs);

ARGUMENTS

irq the irq number

dev_instance
    the client data object

regs
    snapshot of processor context

DESCRIPTION

The interrupt handler does all of the Rx thread work, and cleans up after the Tx thread

AUTHORS
Ollie Lho, Lei Chun Chang.